Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.space
Interface Object2dDisplayC

All Known Implementing Classes:
  Object2dDisplayCImpl

public interface Object2dDisplayC
extends SwarmObjectC, SwarmObjectS

Object2dDisplay displays 2d arrays of objects.. Object2dDisplay helps display 2d arrays of objects. Create a Object2dDisplay, give it a Raster widget to draw on, a Discrete2d, a message to call on each object, and (optionally) a collection of objects and it will dispatch the message to all objects with the Raster widget as an argument. In addition, Object2dDisplay can help you make probees.

Method Summary
`java.lang.Object` | `create$setDisplayWidget$setDiscrete2dToDisplay$setDisplayMessage(Zone aZone, Raster r, GridData c, Selector s)` Convenience constructor for Object2dDisplay
`java.lang.Object` | `setDiscrete2dToDisplay(GridData c)` Set the 2d array to draw.
`java.lang.Object` | `setDisplayMessage(Selector s)` Set the message to be sent to each object in the grid to make it draw itself.
`java.lang.Object` | `setDisplayWidget(Raster r)` Set the display widget to use for drawing.

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### create$setDisplayWidget$setDiscrete2dToDisplay$setDisplayMessage

    public java.lang.Object create$setDisplayWidget$setDiscrete2dToDisplay$setDisplayMessage(Zone aZone,
                                                                                             Raster r,
                                                                                             GridData c,
                                                                                             Selector s)

  Convenience constructor for Object2dDisplay

### setDisplayWidget

    public java.lang.Object setDisplayWidget(Raster r)

  Set the display widget to use for drawing.

### setDiscrete2dToDisplay

    public java.lang.Object setDiscrete2dToDisplay(GridData c)

  Set the 2d array to draw.

### setDisplayMessage

    public java.lang.Object setDisplayMessage(Selector s)

  Set the message to be sent to each object in the grid to make it draw itself.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD